<template>
  <div class="flex flex-col w-full">
    <Toast :visible="store.isVisible" :message="store.message" :type="store.type" />
    <Header />
    <div class="flex">
      <Sidebar :items="items" />
      <slot class="bg-slate-500" />
    </div>
  </div>
</template>

<script setup lang="ts">
const store = useToastStore()

const items = [
  // {
  //   title: "Dashboard",
  //   path: "/dashboard",
  //   icon: "ic:outline-dashboard",
  //   requiredRole: '',
  // },
  {
    title: "Applications",
    path: "/application",
    icon: "material-symbols-light:bookmark-manager-rounded",
    requiredRole: '',
  },
  {
    title: "Fundings",
    path: "/funding",
    icon: "tabler:pig-money",
    requiredRole: '',
  },
  // {
  //   title: "Payments",
  //   path: "/payment",
  //   icon: "solar:hand-money-outline",
  //   requiredRole: '',
  // },
  {
    title: "Users",
    path: "/users",
    icon: "fluent:people-audience-20-filled",
    requiredRole: 'rt',
  },
  {
    title: "Profile",
    path: "/profile",
    icon: "carbon:user-profile",
    requiredRole: '',
  },
];
</script>
